%This GraphDescription is used to watch TV using IVTVReadNode
%It uses the tuner-input of the TVCard to get Live-TV via cable
%
%command:       clic ivtv_tuner.gd

  IVTVReadNode  # setLocation("texture") 
                $ setCurrentInput(4) INITIALIZED
                $ setStandardByName("PAL") INITIALIZED
                $ setFrequencyTable("pal-europe") INITIALIZED
                $ setChannel(26) ACTIVATED
                $ setResolution(720,576) INITIALIZED

! MPEGDemuxNode
{
        { ["mpeg_video0"] ! MPEGVideoDecodeNode  
                          ! XDisplayNode  
        }
        { ["mpeg_audio0"] ! MPEGAudioDecodeNode
                          ! PlaybackNode
        }       
}
