%GraphDescription for watching DVD
%The GD requests the DVD-Source shared, transcodes the Video- and Audio-Stream and sends it over the network.
%To use this GD, clic must be started first with shared_dvdread.gd 
%
%command:       clic shared_dvdread2_transcode.gd

  DVDReadNode   #setSharingType(SHARED) #setLocation("frame") 
! MPEGDemuxNode #setSharingType(SHARED) #setLocation("frame") 
{
        { ["ac3_audio0"]  ! AC3DecodeNode       #setSharingType(SHARED)
                                                #setLocation("frame") 
                          ! MPEGAudioEncodeNode #setSharingType(EXCLUSIVE_THEN_SHARED) 
                                                #setLocation("frame") 
                            @ Format (bitrate = 96000) 
                          ! MPEGAudioDecodeNode #setSharingType(EXCLUSIVE)             
                          ! PlaybackNode        #setSharingType(EXCLUSIVE)
        }
        { ["mpeg_video0"] ! MPEGVideoDecodeNode #setSharingType(SHARED)                
                                                #setLocation("frame") 
                          ! BufferDropNode      #setSharingType(EXCLUSIVE_THEN_SHARED) 
                                                #setLocation("frame") 
                                                $setDropRatio(13, 25) INITIALIZED
                          ! YUVDeInterlaceNode  #setSharingType(EXCLUSIVE_THEN_SHARED) 
                                                #setLocation("frame") 
                          ! VideoScalerNode     #setSharingType(EXCLUSIVE_THEN_SHARED)
                                                #setLocation("frame") 
                            @ Format(x_resolution=320, y_resolution=240, ratio_x=320, ratio_y=240) 
                          ! FFMpegEncodeNode    #setSharingType(EXCLUSIVE_THEN_SHARED)
                                                #setLocation("frame") 
                            @ Format(bitrate = 192000) 
                          ! FFMpegDecodeNode    #setSharingType(EXCLUSIVE)
                          ! XDisplayNode        #setSharingType(EXCLUSIVE)
        }
}
