%GraphDescription for watching TV via DVBSimulatorNode.
%The GD requests the DVBSimulator-Source shared, transcodes the Video- and Audio-Stream and sends it over the network.
%To use this GD, clic must be started first with shated_tv.gd (see comments in shared_tv.gd)
%
%command:       clic shared_tvsim2.gd

  DVBSimulatorNode #setSharingType(SHARED) #setLocation("cable") 
! MPEGDemuxNode    #setSharingType(SHARED) #setLocation("cable") 
{
        { ["mpeg_audio0"] ! MPEGAudioDecodeNode #setSharingType(SHARED)                #setLocation("cable") 
                          ! MPEGAudioEncodeNode #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("cable") 
                            @ Format (bitrate = 128000) 
                          ! MPEGAudioDecodeNode #setSharingType(EXCLUSIVE)             #setLocation("localhost")  
                          ! PlaybackNode        #setSharingType(EXCLUSIVE)             #setLocation("localhost") 
        }
        { ["mpeg_video0"] ! MPEGVideoDecodeNode #setSharingType(SHARED)                #setLocation("cable") 
                          ! BufferDropNode      #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("cable") 
                          ! YUVDeInterlaceNode  #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("cable") 
                          ! VideoScalerNode     #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("cable") 
                            @ Format(x_resolution=320, y_resolution=240, ratio_x=320, ratio_y=240) 
                          ! FFMpegEncodeNode    #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("cable") 
                            @ Format(bitrate = 1200000) 
                          ! FFMpegDecodeNode    #setSharingType(EXCLUSIVE)             #setLocation("localhost") 
                          ! XDisplayNode        #setSharingType(EXCLUSIVE)             #setLocation("localhost") 
        }
}
