
#ifndef NMM_IMMBoxEventReceiverImpl_HPP
#define NMM_IMMBoxEventReceiverImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMMBoxEventReceiver.hpp"


namespace NMM
{

  class IMMBoxEventReceiverImpl  : public virtual NMMObject { 
  public:
    IMMBoxEventReceiverImpl() { addInterface(new IMMBoxEventReceiver(*this)); registerEvents(); };

    virtual ~IMMBoxEventReceiverImpl() {};

  protected:

    virtual Result receiveEventID(const string& id) = 0;


  private:
    void registerEvents();
  };

}

#endif
