
#ifndef NMM_ITagInfoImpl_HPP
#define NMM_ITagInfoImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITagInfo.hpp"


namespace NMM
{

  class ITagInfoImpl  : public virtual NMMObject { 
  public:
    ITagInfoImpl() { addInterface(new ITagInfo(*this)); registerEvents(); };

    virtual ~ITagInfoImpl() {};

  protected:

    virtual Result TagInfo(const string& title, const string& album, const string& artist, const string& year, const string& genre) /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
