
#include "IJackImpl.hpp"

#include "INode.hpp"
#include "nmm/base/TransportStrategy.hpp"

namespace NMM
{
  
  void IJackImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IJack::getIParent_event, new TEDObject0<IJackImpl, INode*(IJackImpl:: * )(), INode* >(this, &IJackImpl::getIParent));
  
    getEventDispatcher().registerEvent(IJack::getJackTag_event, new TEDObject0<IJackImpl, string(IJackImpl:: * )() const, string >(this, &IJackImpl::getJackTag));
  
    getEventDispatcher().registerEvent(IJack::isConnected_event, new TEDObject0<IJackImpl, bool(IJackImpl:: * )() const, bool >(this, &IJackImpl::isConnected));
  
    getEventDispatcher().registerEvent(IJack::setTransportStrategy_event, new TEDObject1<IJackImpl, TSAddress*, void(IJackImpl:: * )(const TSAddress*), void >(this, &IJackImpl::setTransportStrategy));
  
    getEventDispatcher().registerEvent(IJack::disconnect_event, new TEDObject0<IJackImpl, void(IJackImpl:: * )(), void >(this, &IJackImpl::disconnect));
  
    getEventDispatcher().registerEvent(IJack::connectToJack_event, new TEDObject0<IJackImpl, void(IJackImpl:: * )(), void >(this, &IJackImpl::connectToJack));

  }

}


