
#include "INamedImpl.hpp"


namespace NMM
{
  
  void INamedImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INamed::setName_event, new TEDObject1<INamedImpl, string, void(INamedImpl:: * )(const string&), void >(this, &INamedImpl::setName));
  
    getEventDispatcher().registerEvent(INamed::getName_event, new TEDObject0<INamedImpl, string(INamedImpl:: * )() const, string >(this, &INamedImpl::getName));
  
    getEventDispatcher().registerEvent(INamed::setErrorStream_event, new TEDObject2<INamedImpl, string, int, void(INamedImpl:: * )(const string&, const int&), void >(this, &INamedImpl::setErrorStream));
  
    getEventDispatcher().registerEvent(INamed::setDebugStream_event, new TEDObject2<INamedImpl, string, int, void(INamedImpl:: * )(const string&, const int&), void >(this, &INamedImpl::setDebugStream));
  
    getEventDispatcher().registerEvent(INamed::setWarningStream_event, new TEDObject2<INamedImpl, string, int, void(INamedImpl:: * )(const string&, const int&), void >(this, &INamedImpl::setWarningStream));
  
    getEventDispatcher().registerEvent(INamed::setMessageStream_event, new TEDObject2<INamedImpl, string, int, void(INamedImpl:: * )(const string&, const int&), void >(this, &INamedImpl::setMessageStream));

  }

}


