
#include "IMasterSlaveSourceSynchronizerImpl.hpp"


namespace NMM
{
  
  void IMasterSlaveSourceSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::setStartDelay_event, new TEDObject1<IMasterSlaveSourceSynchronizerImpl, Interval, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const Interval&), Result >(this, &IMasterSlaveSourceSynchronizerImpl::setStartDelay));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::setMasterController_event, new TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::setMasterController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::addSlaveController_event, new TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::addSlaveController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::removeSlaveController_event, new TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::removeSlaveController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::resetAll_event, new TEDObject0<IMasterSlaveSourceSynchronizerImpl, Result(IMasterSlaveSourceSynchronizerImpl:: * )(), Result >(this, &IMasterSlaveSourceSynchronizerImpl::resetAll));

  }

}


