
#include "ISinkSynchronizerImpl.hpp"


namespace NMM
{
  
  void ISinkSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::setAverageLatency_event, new TEDObject2<ISinkSynchronizerImpl, Interval, int, void(ISinkSynchronizerImpl:: * )(const Interval&, const int&), void >(this, &ISinkSynchronizerImpl::setAverageLatency));
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::setFirstBufferInTimeAverageLatency_event, new TEDObject3<ISinkSynchronizerImpl, Interval, int, Timestamp, Result(ISinkSynchronizerImpl:: * )(const Interval&, const int&, const Timestamp&), Result >(this, &ISinkSynchronizerImpl::setFirstBufferInTimeAverageLatency));
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::removeSinkController_event, new TEDObject1<ISinkSynchronizerImpl, ISinkController*, Result(ISinkSynchronizerImpl:: * )(const ISinkController*), Result >(this, &ISinkSynchronizerImpl::removeSinkController));

  }

}


