
#include "IIPControl.hpp"
#include "nmm/base/InterfaceFactory.hpp"


namespace NMM
{
  
  
  void IIPControl::test()
      throw(const Exception&)
  {
    Event event("IIPControl::test");
    if(sendEvent(event) == FAILURE) {
      if (event.getException()) {
        throw Exception(*event.getException());
      }
    }
  }

  const char* IIPControl::IIPControl_type = "IIPControl";
  TIFactoryObject<IIPControl > __IIPControl_prototype("IIPControl");


  const char* IIPControl::test_event = "IIPControl::test";


}


