
#ifndef NMM_IVideoDelay_HPP
#define NMM_IVideoDelay_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class IVideoDelay : virtual public Interface { 
  public:
    IVideoDelay() {  setTypeInfo(TypeInfo(IVideoDelay::IVideoDelay_type, "NMM")); };

    IVideoDelay(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IVideoDelay::IVideoDelay_type, "NMM")); setEventReceiver(parent); };

    virtual ~IVideoDelay() {};

    static const char* IVideoDelay_type;

    virtual  string getInterfaceType() const { return IVideoDelay_type; }

    Interface* copy() const { return new IVideoDelay(*this); }
    static const char* setVideoDelay_event;

    virtual Result setVideoDelay(const int& delay)
      throw(const Exception&);


  };

  typedef auto_ptr<IVideoDelay> IVideoDelay_var;




}

#endif
