
#include "IButtonsImpl.hpp"


namespace NMM
{
  
  void IButtonsImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IButtons::addButton_event, new TEDObject7<IButtonsImpl, int, string, int, int, string, string, string, void(IButtonsImpl:: * )(const int&, const string&, const int&, const int&, const string&, const string&, const string&), void >(this, &IButtonsImpl::addButton));
  
    getEventDispatcher().registerEvent(IButtons::getButtonLabel_event, new TEDObject1<IButtonsImpl, int, string(IButtonsImpl:: * )(const int&), string >(this, &IButtonsImpl::getButtonLabel));
  
    getEventDispatcher().registerEvent(IButtons::getSelectedButtonLabel_event, new TEDObject0<IButtonsImpl, string(IButtonsImpl:: * )(), string >(this, &IButtonsImpl::getSelectedButtonLabel));
  
    getEventDispatcher().registerEvent(IButtons::getButtonState_event, new TEDObject1<IButtonsImpl, int, bool(IButtonsImpl:: * )(const int&), bool >(this, &IButtonsImpl::getButtonState));
  
    getEventDispatcher().registerEvent(IButtons::deleteButton_event, new TEDObject1<IButtonsImpl, int, void(IButtonsImpl:: * )(const int&), void >(this, &IButtonsImpl::deleteButton));
  
    getEventDispatcher().registerEvent(IButtons::deleteAllButtons_event, new TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deleteAllButtons));
  
    getEventDispatcher().registerEvent(IButtons::selectButton_event, new TEDObject1<IButtonsImpl, int, int(IButtonsImpl:: * )(const int&), int >(this, &IButtonsImpl::selectButton));
  
    getEventDispatcher().registerEvent(IButtons::setStep_event, new TEDObject1<IButtonsImpl, unsigned int, void(IButtonsImpl:: * )(const unsigned int&), void >(this, &IButtonsImpl::setStep));
  
    getEventDispatcher().registerEvent(IButtons::deselectButton_event, new TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deselectButton));
  
    getEventDispatcher().registerEvent(IButtons::activateButton_event, new TEDObject1<IButtonsImpl, int, void(IButtonsImpl:: * )(const int&), void >(this, &IButtonsImpl::activateButton));
  
    getEventDispatcher().registerEvent(IButtons::deactivateButton_event, new TEDObject1<IButtonsImpl, int, void(IButtonsImpl:: * )(const int&), void >(this, &IButtonsImpl::deactivateButton));
  
    getEventDispatcher().registerEvent(IButtons::deactivateAllButtons_event, new TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deactivateAllButtons));

  }

}


