
#include "IWindowImpl.hpp"


namespace NMM
{
  
  void IWindowImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IWindow::getWindowID_event, new TEDObject0<IWindowImpl, int(IWindowImpl:: * )() const, int >(this, &IWindowImpl::getWindowID));
  
    getEventDispatcher().registerEvent(IWindow::setPosition_event, new TEDObject2<IWindowImpl, unsigned int, unsigned int, void(IWindowImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IWindowImpl::setPosition));
  
    getEventDispatcher().registerEvent(IWindow::getPosition_event, new TEDObject2<IWindowImpl, unsigned int, unsigned int, void(IWindowImpl:: * )(unsigned int&, unsigned int&) const, void >(this, &IWindowImpl::getPosition));
  
    getEventDispatcher().registerEvent(IWindow::setDimension_event, new TEDObject2<IWindowImpl, unsigned int, unsigned int, void(IWindowImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IWindowImpl::setDimension));
  
    getEventDispatcher().registerEvent(IWindow::getDimension_event, new TEDObject2<IWindowImpl, unsigned int, unsigned int, void(IWindowImpl:: * )(unsigned int&, unsigned int&) const, void >(this, &IWindowImpl::getDimension));
  
    getEventDispatcher().registerEvent(IWindow::update_event, new TEDObject0<IWindowImpl, void(IWindowImpl:: * )(), void >(this, &IWindowImpl::update));
  
    getEventDispatcher().registerEvent(IWindow::getVisible_event, new TEDObject0<IWindowImpl, bool(IWindowImpl:: * )() const, bool >(this, &IWindowImpl::getVisible));
  
    getEventDispatcher().registerEvent(IWindow::setVisible_event, new TEDObject1<IWindowImpl, bool, void(IWindowImpl:: * )(const bool&), void >(this, &IWindowImpl::setVisible));
  
    getEventDispatcher().registerEvent(IWindow::setScaleFactor_event, new TEDObject2<IWindowImpl, double, double, void(IWindowImpl:: * )(const double&, const double&), void >(this, &IWindowImpl::setScaleFactor));
  
    getEventDispatcher().registerEvent(IWindow::setContent_event, new TEDObject1<IWindowImpl, IWidget, void(IWindowImpl:: * )(const IWidget&), void >(this, &IWindowImpl::setContent));
  
    getEventDispatcher().registerEvent(IWindow::getContent_event, new TEDObject0<IWindowImpl, IWidget*(IWindowImpl:: * )() const, IWidget* >(this, &IWindowImpl::getContent));

  }

}


