#ifndef _NMM_MEMCPY_HPP_
#define _NMM_MEMCPY_HPP_ _NMM_MEMCPY_HPP_

extern "C" {
  /**
  * this function uses mmx and prefetch capabilities to do a fast memory copy on Pentium (>=III) CPUs
  * \param dest pointer to destination memory
  * \param src pointer to source memory
  * \param bytenum number of bytes (must be a multiple of 2048)
  * \param tbuf pointer to 2048 Bytes temporary buffer
  */
  void fastmemcpy( void* dest, void* src, unsigned int bytenum, void* tbuf );
}


#endif //_NMM_MEMCPY_HPP_
