%This GD reads the video-stream from WhiteNoiseNode, adds the current time and a logo and writes the image as JPEG to disc.
%
%command: clic jpegwriter.gd -o <ouputfile>

WhiteNoiseNode            @ Format(x_resolution = 640,
                                   y_resolution = 480,
                                   ratio_x      = 640,
                                   ratio_y      = 480,
                                   colorspace   = "yuv422",
                                   framerate    = 15.0)
! YUVtoRGBConverterNode   @ Format("video/raw",
                                   x_resolution = 640,
                                   y_resolution = 480,
                                   ratio_x      = 640,
                                   ratio_y      = 480,
                                   channelorder = "rgb",
                                   endian       = "little",
                                   colorspace   = "rgb24",
                                   bitperpixel  = 24,
                                   format_param = "packet",
                                   framerate=15.0)
! RGBtoRGBConverterNode
! LogoNode                $ setLogoImage("../../resources/liveaussaarbruecken.png") INITIALIZED
                          $ setOffset(-1, -32) INITIALIZED
! TimeDisplayNode         $ setFontImage("../../resources/font/font.desc") ACTIVATED
                          $ setOffset(-10, 10) INITIALIZED
! RGBtoRGBConverterNode
! JPEGEncodeNode
! GenericWriteNode




