% This graph description is an example how to use the TimeBufferDropNode for video editing. 
% The first two values of the in-output specify the start time in seconds and mseconds of the
% first buffer that is passed throug and the last two values the end time. These time specidifcations
% refers to the mpeg timestamps in the file. 
%
%command:       clic video_edit1.gd -i <MPEG-file>

  GenericReadNode 
  $ seekBytes(342000000) OUTPUT_INITIALIZED
! MPEGDemuxNode 
{
      { ["mpeg_video0"]  ! TimedBufferDropNode
                           $ addInOutPoint(17654,300,17721,400) CONSTRUCTED
                         ! MPEGVideoDecodeNode 
                         ! XDisplayNode 
      }
      { ["mpeg_audio0"]  ! TimedBufferDropNode
                           $ addInOutPoint(17654,300,17721,400) CONSTRUCTED
                         ! MPEGAudioDecodeNode 
                         ! PlaybackNode 
      }
}

