% Applies multiplicative Gaussian noise to each frame of an AVI and saves the manipulated AVI.
%
% Example:
% clic -i test.avi -o out.avi magick_avi_noise.gd

AVIReadNode !
AVDemuxNode
{
        {
        ["video"] !
                FFMpegDecodeNode !
                YUVtoRGBConverterNode !
                MagickManipulationNode $ addNoise("MultiplicativeGaussianNoise") CONSTRUCTED !
                RGBtoYV12ConverterNode !
                DivX4EncodeNode @ Format (bitrate = 1200000) !
                ["video"] }
        { ["audio"] ! ["audio"]  }
} AVMuxNode ! AVIWriteNode
