#include "MyStruct.hpp"

namespace MyNamespace {

MyStruct::MyStruct()
  :  NMM::SerializedValue("MyStruct", "MyNamespace") //give the type and namespace information to the base class
{
  registerValues();
  __counter = 0;
}

MyStruct::MyStruct(const MyStruct& my_struct )
  : NMM::SerializedValue(my_struct)
{
  registerValues();
  *this = my_struct; //use C++ generated assignment operator.
}

void MyStruct::registerValues() {
  insertArgument(&__name);       //register __name
  insertArgument(&__counter);    //register __counter
  insertArgument(&__value_list); //register __value_list
}

}
