
#ifndef NMM_IInstreamImpl_HPP
#define NMM_IInstreamImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IInstream.hpp"


namespace NMM
{

  class IInstreamImpl  : public virtual NMMObject { 
  public:
    IInstreamImpl() { addInterface(new IInstream(*this)); registerEvents(); };

    virtual ~IInstreamImpl() {};

  protected:

    virtual Result sendMessageUpstream(const CEvent& cevent) = 0;

    virtual Result sendMessageDownstream(const CEvent& cevent) = 0;


  private:
    void registerEvents();
  };

}

#endif
