
#include "ISwitchImpl.hpp"


namespace NMM
{
  
  void ISwitchImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISwitch::switchOutputs_event, new TEDObject0<ISwitchImpl, void(ISwitchImpl:: * )(), void >(this, &ISwitchImpl::switchOutputs));
  
    getEventDispatcher().registerEvent(ISwitch::flushOutputs_event, new TEDObject1<ISwitchImpl, Timestamp, void(ISwitchImpl:: * )(const Timestamp&), void >(this, &ISwitchImpl::flushOutputs));
  
    getEventDispatcher().registerEvent(ISwitch::setSwitchOutputsEnabled_event, new TEDObject1<ISwitchImpl, bool, void(ISwitchImpl:: * )(const bool&), void >(this, &ISwitchImpl::setSwitchOutputsEnabled));
  
    getEventDispatcher().registerEvent(ISwitch::getSwitchOutputsEnabled_event, new TEDObject0<ISwitchImpl, bool(ISwitchImpl:: * )(), bool >(this, &ISwitchImpl::getSwitchOutputsEnabled));

  }

}


