
#include "ICDDAImpl.hpp"


namespace NMM
{
  
  void ICDDAImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICDDA::setTrack_event, new TEDObject1<ICDDAImpl, int, Result(ICDDAImpl:: * )(const int&), Result >(this, &ICDDAImpl::setTrack));
  
    getEventDispatcher().registerEvent(ICDDA::getTrack_event, new TEDObject0<ICDDAImpl, int(ICDDAImpl:: * )(), int >(this, &ICDDAImpl::getTrack));
  
    getEventDispatcher().registerEvent(ICDDA::setRepeat_event, new TEDObject1<ICDDAImpl, bool, void(ICDDAImpl:: * )(const bool&), void >(this, &ICDDAImpl::setRepeat));
  
    getEventDispatcher().registerEvent(ICDDA::getRepeat_event, new TEDObject0<ICDDAImpl, bool(ICDDAImpl:: * )(), bool >(this, &ICDDAImpl::getRepeat));
  
    getEventDispatcher().registerEvent(ICDDA::getTotalTracks_event, new TEDObject0<ICDDAImpl, int(ICDDAImpl:: * )(), int >(this, &ICDDAImpl::getTotalTracks));
  
    getEventDispatcher().registerEvent(ICDDA::numberTracks_event, new TEDObject1<ICDDAImpl, bool, void(ICDDAImpl:: * )(const bool&), void >(this, &ICDDAImpl::numberTracks));
  
    getEventDispatcher().registerEvent(ICDDA::isFinished_event, new TEDObject0<ICDDAImpl, bool(ICDDAImpl:: * )(), bool >(this, &ICDDAImpl::isFinished));
  
    getEventDispatcher().registerEvent(ICDDA::setOneTrackOnly_event, new TEDObject1<ICDDAImpl, bool, void(ICDDAImpl:: * )(const bool&), void >(this, &ICDDAImpl::setOneTrackOnly));
  
    getEventDispatcher().registerEvent(ICDDA::getOneTrackOnly_event, new TEDObject0<ICDDAImpl, bool(ICDDAImpl:: * )(), bool >(this, &ICDDAImpl::getOneTrackOnly));

  }

}


