
#ifndef NMM_ITrackImpl_HPP
#define NMM_ITrackImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITrack.hpp"


namespace NMM
{

  class ITrackImpl  : public virtual NMMObject { 
  public:
    ITrackImpl() { addInterface(new ITrack(*this)); registerEvents(); };

    virtual ~ITrackImpl() {};

  protected:

    virtual Result startTrack(const string& filename) /* in-stream */  = 0;

    virtual Result endTrack() /* in-stream */  = 0;

    virtual Result finished() /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
