
#ifndef NMM_IGuidImpl_HPP
#define NMM_IGuidImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IGuid.hpp"


namespace NMM
{

  class IGuidImpl  : public virtual NMMObject { 
  public:
    IGuidImpl() { addInterface(new IGuid(*this)); registerEvents(); };

    virtual ~IGuidImpl() {};

  protected:

    virtual void setGuid(const u_int64_t& value) = 0;

    virtual u_int64_t getGuid() const = 0;


  private:
    void registerEvents();
  };

}

#endif
