
#ifndef NMM_IFrameEncodeModeImpl_HPP
#define NMM_IFrameEncodeModeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IFrameEncodeMode.hpp"


namespace NMM
{

  class IFrameEncodeModeImpl  : public virtual NMMObject { 
  public:
    IFrameEncodeModeImpl() { addInterface(new IFrameEncodeMode(*this)); registerEvents(); };

    virtual ~IFrameEncodeModeImpl() {};

  protected:

    virtual void setFrameEncodeMode(const IFrameEncodeMode::Mode& value) = 0;

    virtual IFrameEncodeMode::Mode getFrameEncodeMode() const = 0;


  private:
    void registerEvents();
  };

}

#endif
