
#ifndef NMM_IVideoDelayImpl_HPP
#define NMM_IVideoDelayImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IVideoDelay.hpp"


namespace NMM
{

  class IVideoDelayImpl  : public virtual NMMObject { 
  public:
    IVideoDelayImpl() { addInterface(new IVideoDelay(*this)); registerEvents(); };

    virtual ~IVideoDelayImpl() {};

  protected:

    virtual Result setVideoDelay(const int& delay) = 0;


  private:
    void registerEvents();
  };

}

#endif
