
#include "IDisplayEventsImpl.hpp"


namespace NMM
{
  
  void IDisplayEventsImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDisplayEvents::keyPressed_event, new TEDObject1<IDisplayEventsImpl, string, Result(IDisplayEventsImpl:: * )(const string&), Result >(this, &IDisplayEventsImpl::keyPressed));
  
    getEventDispatcher().registerEvent(IDisplayEvents::keyReleased_event, new TEDObject1<IDisplayEventsImpl, string, Result(IDisplayEventsImpl:: * )(const string&), Result >(this, &IDisplayEventsImpl::keyReleased));
  
    getEventDispatcher().registerEvent(IDisplayEvents::keysym_keyPressed_event, new TEDObject1<IDisplayEventsImpl, unsigned long, Result(IDisplayEventsImpl:: * )(const unsigned long&), Result >(this, &IDisplayEventsImpl::keysym_keyPressed));
  
    getEventDispatcher().registerEvent(IDisplayEvents::keysym_keyReleased_event, new TEDObject1<IDisplayEventsImpl, unsigned long, Result(IDisplayEventsImpl:: * )(const unsigned long&), Result >(this, &IDisplayEventsImpl::keysym_keyReleased));
  
    getEventDispatcher().registerEvent(IDisplayEvents::mouseButtonPressed_event, new TEDObject5<IDisplayEventsImpl, int, int, int, int, bool, Result(IDisplayEventsImpl:: * )(const int&, const int&, const int&, const int&, const bool&), Result >(this, &IDisplayEventsImpl::mouseButtonPressed));
  
    getEventDispatcher().registerEvent(IDisplayEvents::mouseButtonReleased_event, new TEDObject5<IDisplayEventsImpl, int, int, int, int, bool, Result(IDisplayEventsImpl:: * )(const int&, const int&, const int&, const int&, const bool&), Result >(this, &IDisplayEventsImpl::mouseButtonReleased));
  
    getEventDispatcher().registerEvent(IDisplayEvents::mouseMoved_event, new TEDObject4<IDisplayEventsImpl, int, int, int, bool, Result(IDisplayEventsImpl:: * )(const int&, const int&, const int&, const bool&), Result >(this, &IDisplayEventsImpl::mouseMoved));
  
    getEventDispatcher().registerEvent(IDisplayEvents::windowExposed_event, new TEDObject0<IDisplayEventsImpl, Result(IDisplayEventsImpl:: * )(), Result >(this, &IDisplayEventsImpl::windowExposed));
  
    getEventDispatcher().registerEvent(IDisplayEvents::windowClosed_event, new TEDObject0<IDisplayEventsImpl, Result(IDisplayEventsImpl:: * )(), Result >(this, &IDisplayEventsImpl::windowClosed));
  
    getEventDispatcher().registerEvent(IDisplayEvents::windowResized_event, new TEDObject2<IDisplayEventsImpl, int, int, Result(IDisplayEventsImpl:: * )(const int&, const int&), Result >(this, &IDisplayEventsImpl::windowResized));

  }

}


