
#ifndef NMM_IXWindowIDImpl_HPP
#define NMM_IXWindowIDImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IXWindowID.hpp"


namespace NMM
{
  /**
   * Interface for requesting XID of a XWindow.
   */

  class IXWindowIDImpl  : public virtual NMMObject { 
  public:
    IXWindowIDImpl() { addInterface(new IXWindowID(*this)); registerEvents(); };

    virtual ~IXWindowIDImpl() {};

  protected:
    /**
     * Request XID of a XWindow
     */

    virtual unsigned long getWindowID() = 0;


  private:
    void registerEvents();
  };

}

#endif
