
#ifndef NMM_ILogoDisplayImpl_HPP
#define NMM_ILogoDisplayImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ILogoDisplay.hpp"

#include "ISetOffsetImpl.hpp"

namespace NMM
{

  class ILogoDisplayImpl  : virtual public ISetOffsetImpl { 
  public:
    ILogoDisplayImpl() { addInterface(new ILogoDisplay(*this)); registerEvents(); };

    virtual ~ILogoDisplayImpl() {};

  protected:

    virtual void setLogoImage(const string& path) = 0;


  private:
    void registerEvents();
  };

}

#endif
