
#include "ITVCardImpl.hpp"


namespace NMM
{
  
  void ITVCardImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVCard::setResolution_event, new TEDObject2<ITVCardImpl, int, int, void(ITVCardImpl:: * )(const int&, const int&), void >(this, &ITVCardImpl::setResolution));
    getEventDispatcher().addLimited(ITVCard::setResolution_event, INode::CONSTRUCTED);
    getEventDispatcher().addLimited(ITVCard::setResolution_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(ITVCard::getResolution_event, new TEDObject2<ITVCardImpl, int, int, void(ITVCardImpl:: * )(int&, int&), void >(this, &ITVCardImpl::getResolution));
  
    getEventDispatcher().registerEvent(ITVCard::setChannel_event, new TEDObject1<ITVCardImpl, int, Result(ITVCardImpl:: * )(const int&), Result >(this, &ITVCardImpl::setChannel));
    getEventDispatcher().addLimited(ITVCard::setChannel_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(ITVCard::setChannel_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(ITVCard::setChannel_event, INode::STARTED);
    getEventDispatcher().addLimited(ITVCard::setChannel_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(ITVCard::getChannel_event, new TEDObject2<ITVCardImpl, int, string, Result(ITVCardImpl:: * )(int&, string&), Result >(this, &ITVCardImpl::getChannel));

  }

}


