/* A Bison parser, made by GNU Bison 1.875d.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     CONNECTION_PARAMETER = 258,
     CONFIG_PARAMETER = 259,
     GD_SET_EVENT_TRANSPORT_STRATEGY = 260,
     GD_INSTREAM_BUFFER_TRANSPORT_STRATEGY = 261,
     GD_SHARING = 262,
     GD_FORMAT = 263,
     GD_HOST = 264,
     GD_PORT = 265,
     GD_AUDIO_CODEC = 266,
     GD_AUDIO_FORMAT = 267,
     GD_AUDIO_FORMAT_STRING = 268,
     GD_BITPERPIXEL = 269,
     GD_BITPERSAMPLE = 270,
     GD_BITRATE = 271,
     GD_CHANNELORDER = 272,
     GD_CHANNELS = 273,
     GD_COLORSPACE = 274,
     GD_COMPRESSOR = 275,
     GD_ENCODEING = 276,
     GD_ENDIAN = 277,
     GD_FRAMERATE = 278,
     GD_LAYER = 279,
     GD_NUM_AUDIO_STREAMS = 280,
     GD_NUM_VIDEO_STREAMS = 281,
     GD_QUALITY = 282,
     GD_RATIO_X = 283,
     GD_RATIO_Y = 284,
     GD_SAMPLE_RATE = 285,
     GD_SIGN = 286,
     GD_VERSION = 287,
     GD_VIDEO_FORMAT = 288,
     GD_X_RESOLUTION = 289,
     GD_Y_RESOLUTION = 290,
     GD_FORMAT_TYPE = 291,
     FLOATNUMBER = 292,
     NUMBER = 293,
     NUMBERWORD = 294,
     STRINGWORD = 295,
     CONNECT = 296,
     OBRACE = 297,
     EBRACE = 298,
     OBRACKET = 299,
     EBRACKET = 300,
     OSQUARE_BRACKET = 301,
     ESQUARE_BRACKET = 302,
     EQUAL = 303,
     COMMA = 304,
     NODE_PARAMETER = 305,
     WORD = 306,
     GD_FORMAT_PARAM = 307,
     GD_FORMAT_AC3_AUDIO_STREAMS_PARAM = 308,
     GD_FORMAT_MPEG_AUDIO_STEAMS = 309,
     GD_FORMAT_DTS_AUDIO_STREAMS = 310,
     GD_FORMAT_LPCM_AUDIO_STREAMS = 311,
     GD_FORMAT_MPEG_VIDEO_STERAMS = 312,
     GD_FORMAT_SPU_STERAMS = 313,
     GD_MAP_AC3_AUDIO_STREAMS = 314,
     GD_MAP_MPEG_AUDIO_STREAMS = 315,
     GD_MAP_DTS_AUDIO_STREAMS = 316,
     GD_MAP_LPCM_AUDIO_STREAMS = 317,
     GD_MAP_MPEG_VIDEO_STREAMS = 318,
     GD_MAP_SPU_STREAMS = 319,
     STATE_CONSTRUCTED = 320,
     STATE_INITIALIZED = 321,
     STATE_OUTPUT_INITIALIZED = 322,
     STATE_ACTIVATED = 323,
     STATE_STARTED = 324,
     COMMENT = 325,
     TYPE_SHARED = 326,
     TYPE_EXCLUSIVE = 327,
     TYPE_SHARED_OR_EXCLUSIVE = 328,
     TYPE_EXCLUSIVE_OR_SHARED = 329,
     TYPE_EXCLUSIVE_THEN_SHARED = 330,
     TYPE_SHARED_OR_EXCLUSIVE_THEN_SHARED = 331,
     TYPE_EXCLUSIVE_THEN_SHARED_OR_SHARED = 332
   };
#endif
#define CONNECTION_PARAMETER 258
#define CONFIG_PARAMETER 259
#define GD_SET_EVENT_TRANSPORT_STRATEGY 260
#define GD_INSTREAM_BUFFER_TRANSPORT_STRATEGY 261
#define GD_SHARING 262
#define GD_FORMAT 263
#define GD_HOST 264
#define GD_PORT 265
#define GD_AUDIO_CODEC 266
#define GD_AUDIO_FORMAT 267
#define GD_AUDIO_FORMAT_STRING 268
#define GD_BITPERPIXEL 269
#define GD_BITPERSAMPLE 270
#define GD_BITRATE 271
#define GD_CHANNELORDER 272
#define GD_CHANNELS 273
#define GD_COLORSPACE 274
#define GD_COMPRESSOR 275
#define GD_ENCODEING 276
#define GD_ENDIAN 277
#define GD_FRAMERATE 278
#define GD_LAYER 279
#define GD_NUM_AUDIO_STREAMS 280
#define GD_NUM_VIDEO_STREAMS 281
#define GD_QUALITY 282
#define GD_RATIO_X 283
#define GD_RATIO_Y 284
#define GD_SAMPLE_RATE 285
#define GD_SIGN 286
#define GD_VERSION 287
#define GD_VIDEO_FORMAT 288
#define GD_X_RESOLUTION 289
#define GD_Y_RESOLUTION 290
#define GD_FORMAT_TYPE 291
#define FLOATNUMBER 292
#define NUMBER 293
#define NUMBERWORD 294
#define STRINGWORD 295
#define CONNECT 296
#define OBRACE 297
#define EBRACE 298
#define OBRACKET 299
#define EBRACKET 300
#define OSQUARE_BRACKET 301
#define ESQUARE_BRACKET 302
#define EQUAL 303
#define COMMA 304
#define NODE_PARAMETER 305
#define WORD 306
#define GD_FORMAT_PARAM 307
#define GD_FORMAT_AC3_AUDIO_STREAMS_PARAM 308
#define GD_FORMAT_MPEG_AUDIO_STEAMS 309
#define GD_FORMAT_DTS_AUDIO_STREAMS 310
#define GD_FORMAT_LPCM_AUDIO_STREAMS 311
#define GD_FORMAT_MPEG_VIDEO_STERAMS 312
#define GD_FORMAT_SPU_STERAMS 313
#define GD_MAP_AC3_AUDIO_STREAMS 314
#define GD_MAP_MPEG_AUDIO_STREAMS 315
#define GD_MAP_DTS_AUDIO_STREAMS 316
#define GD_MAP_LPCM_AUDIO_STREAMS 317
#define GD_MAP_MPEG_VIDEO_STREAMS 318
#define GD_MAP_SPU_STREAMS 319
#define STATE_CONSTRUCTED 320
#define STATE_INITIALIZED 321
#define STATE_OUTPUT_INITIALIZED 322
#define STATE_ACTIVATED 323
#define STATE_STARTED 324
#define COMMENT 325
#define TYPE_SHARED 326
#define TYPE_EXCLUSIVE 327
#define TYPE_SHARED_OR_EXCLUSIVE 328
#define TYPE_EXCLUSIVE_OR_SHARED 329
#define TYPE_EXCLUSIVE_THEN_SHARED 330
#define TYPE_SHARED_OR_EXCLUSIVE_THEN_SHARED 331
#define TYPE_EXCLUSIVE_THEN_SHARED_OR_SHARED 332




/* Copy the first part of user declarations.  */
#line 28 "GraphDescriptionParser.ypp"

#include "ycommon.hpp"

#include <unistd.h>
#include <queue>
#include <set>
#include "nmm/base/Message.hpp"
#include "nmm/utils/NamedObject.hpp"
#include "nmm/utils/utils.hpp"
#include "nmm/base/registry/NodeDescription.hpp"
#include "nmm/base/registry/GraphDescription.hpp"
#include "nmm/base/registry/ClientRegistry.hpp"
#include "nmm/base/ProxyApplication.hpp"
#include "nmm/utils/utils.hpp"
#include "nmm/interfaces/file/IFileHandler.hpp"
#include "ParserStructs.hpp"
//#define YYDEBUG 1
using namespace NMM;

struct MuxConnection {
  MuxConnection(NodeDescription* _nd, const string& _out_tag, const string& _mux_in_tag, Format* _format = 0, const string& _c_strategy_buffer = "", const string& _c_strategy_event = "")
    : nd(_nd), out_tag(_out_tag), mux_in_tag(_mux_in_tag), format(_format), c_strategy_buffer(_c_strategy_buffer), c_strategy_event(_c_strategy_event)
  {}

  NodeDescription* nd;
  string out_tag;
  string mux_in_tag;
  Format* format;
  string  c_strategy_buffer;     //TransportStrategy that should be used for instream buffer
  string  c_strategy_event;      //TransportStrategy that should be used for instream events
};

struct DemuxConnection {
  DemuxConnection(NodeDescription* _nd, Format* _format, const string& _c_strategy_buffer = "", const string& _c_strategy_event="")
    : nd(_nd), format(_format), c_strategy_buffer(_c_strategy_buffer), c_strategy_event(_c_strategy_event)
  { }

  NodeDescription*  nd;
  Format*           format;
  string  c_strategy_buffer;     //TransportStrategy that should be used for instream buffer
  string  c_strategy_event;      //TransportStrategy that should be used for instream events
};


queue<NodeDescription*> nd_queue;                         ///< stores all NodeDescription in the order they were allocated
queue<NodeDescription*> start_branch_queue;               ///< stores the end of branches that must be connected with a Muxer
queue< MuxConnection > end_branch_queue;                  ///< stores the NodeDescription and jack_tag of an ending branch that must be connected with a Muxer

GraphDescription* g=NULL;                                 ///< The GraphDescription used dureing graph parsing.

NodeDescription* left_nd = 0;
string left_intag = "";
string left_outtag = "";

NodeDescription* right_nd = 0;
string right_intag = "";
string right_outtag = "";

Format* format = 0;                                        ///< stores the current connection format
list<int> i_list;                                          ///< stores temporary int-values for Format-Ranges
list<float> f_list;                                          ///< stores temporary float-values for Format-Ranges
string  c_strategy_buffer;                                 ///< stores the current transport strategy used to connect nodes and transport instream buffer
string  c_strategy_event;                                  ///< stores the current transport strategy used to connect nodes and transport instream events
string  n_strategy;                                        ///< stores the current transport strategy used to connect a ProxyObject with its NMMObject

string __current_host ;                                    ///< stores the current location
int __current_port = ClientRegistry::default_port;         ///< stores the current port 

NodeDescription::SharingType sharing_type = NodeDescription::EXCLUSIVE_OR_SHARED;  ///< Sharing type for a node

NodeConfiguration       __current_node_configuration;      ///< stores the node configuration of the current node
NCElement*              __current_nc_element = 0;          ///< store the elements of the current configuration

list<NodeConfiguration> node_configuration;                ///< stores the configuration for each node

queue< DemuxConnection > __demuxer_format_stack;   ///< stores the format for open demuxer connections.


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
typedef int YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 214 of yacc.c.  */
#line 319 "y.tab.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   define YYSTACK_ALLOC alloca
#  endif
# else
#  if defined (alloca) || defined (_ALLOCA_H)
#   define YYSTACK_ALLOC alloca
#  else
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  6
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   263

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  78
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  30
/* YYNRULES -- Number of rules. */
#define YYNRULES  151
/* YYNRULES -- Number of states. */
#define YYNSTATES  260

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   332

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short int yyprhs[] =
{
       0,     0,     3,     8,     9,    12,    14,    16,    18,    20,
      24,    28,    32,    36,    39,    44,    46,    48,    52,    54,
      58,    60,    67,    74,    81,    84,    86,    90,    94,    98,
     102,   106,   111,   115,   119,   123,   128,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   152,   154,   161,   168,
     175,   177,   185,   192,   194,   198,   200,   202,   204,   206,
     208,   210,   212,   214,   215,   217,   218,   220,   222,   224,
     228,   230,   234,   238,   242,   246,   250,   254,   258,   264,
     268,   272,   276,   280,   284,   288,   292,   296,   300,   304,
     308,   314,   318,   322,   326,   330,   334,   338,   342,   346,
     350,   354,   358,   362,   366,   370,   374,   378,   382,   386,
     390,   394,   398,   402,   404,   406,   408,   410,   412,   414,
     416,   418,   420,   422,   424,   426,   428,   430,   432,   434,
     436,   438,   440,   442,   444,   446,   448,   450,   452,   454,
     456,   458,   460,   462,   464,   466,   468,   470,   472,   474,
     476,   478
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      79,     0,    -1,    81,    82,    83,    86,    -1,    -1,    70,
      81,    -1,    80,    -1,    40,    -1,    80,    -1,    80,    -1,
      46,    40,    47,    -1,    46,    51,    47,    -1,    46,    40,
      47,    -1,    46,    51,    47,    -1,    93,    86,    -1,    42,
      86,    43,    86,    -1,    80,    -1,    38,    -1,    87,    49,
      87,    -1,    37,    -1,    88,    49,    88,    -1,    80,    -1,
      89,     3,     8,    44,   105,    45,    -1,    89,     3,     5,
      44,    40,    45,    -1,    89,     3,     6,    44,    40,    45,
      -1,    89,    41,    -1,    90,    -1,    85,    91,    95,    -1,
      85,    91,    86,    -1,    85,    91,    84,    -1,    94,    90,
      95,    -1,    93,    90,    95,    -1,    94,    42,    86,    43,
      -1,    42,    92,    43,    -1,    93,    90,    84,    -1,    94,
      90,    84,    -1,   102,   104,   103,    97,    -1,   102,   104,
     103,    97,    -1,    71,    -1,    72,    -1,    73,    -1,    74,
      -1,    75,    -1,    77,    -1,    76,    -1,    80,    -1,    98,
      99,    -1,    80,    -1,    98,    50,    10,    44,    38,    45,
      -1,    98,    50,     9,    44,    40,    45,    -1,    98,    50,
       7,    44,    96,    45,    -1,    80,    -1,    99,     4,    51,
      44,   100,    45,   101,    -1,    99,     4,     5,    44,    40,
      45,    -1,    80,    -1,   100,    49,   100,    -1,    40,    -1,
      38,    -1,    37,    -1,    65,    -1,    66,    -1,    67,    -1,
      68,    -1,    69,    -1,    -1,    40,    -1,    -1,    40,    -1,
      51,    -1,   106,    -1,   105,    49,   106,    -1,    40,    -1,
      36,    48,   107,    -1,    11,    48,    38,    -1,    12,    48,
     107,    -1,    13,    48,   107,    -1,    14,    48,    38,    -1,
      15,    48,    38,    -1,    16,    48,    38,    -1,    16,    48,
      46,    87,    47,    -1,    17,    48,   107,    -1,    18,    48,
      38,    -1,    19,    48,   107,    -1,    20,    48,   107,    -1,
      21,    48,   107,    -1,    22,    48,   107,    -1,    23,    48,
      37,    -1,    24,    48,    38,    -1,    25,    48,    38,    -1,
      26,    48,    38,    -1,    27,    48,    37,    -1,    27,    48,
      46,    88,    47,    -1,    27,    48,    38,    -1,    28,    48,
      38,    -1,    29,    48,    38,    -1,    30,    48,    38,    -1,
      31,    48,   107,    -1,    32,    48,    38,    -1,    33,    48,
     107,    -1,    34,    48,    38,    -1,    35,    48,    38,    -1,
      52,    48,   107,    -1,    53,    48,    38,    -1,    54,    48,
      38,    -1,    55,    48,   107,    -1,    56,    48,    38,    -1,
      57,    48,    38,    -1,    58,    48,    38,    -1,    59,    48,
      38,    -1,    60,    48,    38,    -1,    61,    48,    38,    -1,
      62,    48,    38,    -1,    63,    48,    38,    -1,    64,    48,
      38,    -1,    11,    -1,    12,    -1,    13,    -1,    14,    -1,
      15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,    -1,
      20,    -1,    21,    -1,    22,    -1,    23,    -1,    24,    -1,
      25,    -1,    26,    -1,    27,    -1,    28,    -1,    29,    -1,
      30,    -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,
      35,    -1,    52,    -1,    53,    -1,    54,    -1,    55,    -1,
      56,    -1,    57,    -1,    58,    -1,    59,    -1,    60,    -1,
      61,    -1,    62,    -1,    63,    -1,    64,    -1,    40,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,   111,   111,   134,   139,   143,   146,   151,   156,   160,
     167,   174,   181,   188,   192,   208,   212,   216,   221,   225,
     230,   232,   237,   243,   252,   258,   269,   290,   311,   330,
     345,   360,   369,   374,   385,   398,   445,   479,   483,   487,
     491,   495,   499,   503,   509,   511,   517,   519,   524,   531,
     537,   539,   552,   559,   561,   566,   576,   584,   596,   604,
     611,   618,   625,   634,   638,   647,   651,   660,   666,   669,
     673,   682,   689,   695,   701,   707,   713,   719,   725,   733,
     739,   745,   751,   757,   763,   769,   775,   781,   787,   793,
     799,   807,   813,   819,   825,   831,   837,   843,   849,   855,
     861,   867,   873,   879,   885,   891,   897,   903,   909,   915,
     921,   927,   933,   939,   945,   951,   957,   963,   969,   975,
     981,   987,   993,   999,  1005,  1011,  1017,  1023,  1029,  1035,
    1041,  1047,  1053,  1059,  1065,  1071,  1077,  1083,  1089,  1095,
    1101,  1107,  1113,  1119,  1125,  1131,  1137,  1143,  1149,  1155,
    1161,  1169
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "CONNECTION_PARAMETER",
  "CONFIG_PARAMETER", "GD_SET_EVENT_TRANSPORT_STRATEGY",
  "GD_INSTREAM_BUFFER_TRANSPORT_STRATEGY", "GD_SHARING", "GD_FORMAT",
  "GD_HOST", "GD_PORT", "GD_AUDIO_CODEC", "GD_AUDIO_FORMAT",
  "GD_AUDIO_FORMAT_STRING", "GD_BITPERPIXEL", "GD_BITPERSAMPLE",
  "GD_BITRATE", "GD_CHANNELORDER", "GD_CHANNELS", "GD_COLORSPACE",
  "GD_COMPRESSOR", "GD_ENCODEING", "GD_ENDIAN", "GD_FRAMERATE", "GD_LAYER",
  "GD_NUM_AUDIO_STREAMS", "GD_NUM_VIDEO_STREAMS", "GD_QUALITY",
  "GD_RATIO_X", "GD_RATIO_Y", "GD_SAMPLE_RATE", "GD_SIGN", "GD_VERSION",
  "GD_VIDEO_FORMAT", "GD_X_RESOLUTION", "GD_Y_RESOLUTION",
  "GD_FORMAT_TYPE", "FLOATNUMBER", "NUMBER", "NUMBERWORD", "STRINGWORD",
  "CONNECT", "OBRACE", "EBRACE", "OBRACKET", "EBRACKET", "OSQUARE_BRACKET",
  "ESQUARE_BRACKET", "EQUAL", "COMMA", "NODE_PARAMETER", "WORD",
  "GD_FORMAT_PARAM", "GD_FORMAT_AC3_AUDIO_STREAMS_PARAM",
  "GD_FORMAT_MPEG_AUDIO_STEAMS", "GD_FORMAT_DTS_AUDIO_STREAMS",
  "GD_FORMAT_LPCM_AUDIO_STREAMS", "GD_FORMAT_MPEG_VIDEO_STERAMS",
  "GD_FORMAT_SPU_STERAMS", "GD_MAP_AC3_AUDIO_STREAMS",
  "GD_MAP_MPEG_AUDIO_STREAMS", "GD_MAP_DTS_AUDIO_STREAMS",
  "GD_MAP_LPCM_AUDIO_STREAMS", "GD_MAP_MPEG_VIDEO_STREAMS",
  "GD_MAP_SPU_STREAMS", "STATE_CONSTRUCTED", "STATE_INITIALIZED",
  "STATE_OUTPUT_INITIALIZED", "STATE_ACTIVATED", "STATE_STARTED",
  "COMMENT", "TYPE_SHARED", "TYPE_EXCLUSIVE", "TYPE_SHARED_OR_EXCLUSIVE",
  "TYPE_EXCLUSIVE_OR_SHARED", "TYPE_EXCLUSIVE_THEN_SHARED",
  "TYPE_SHARED_OR_EXCLUSIVE_THEN_SHARED",
  "TYPE_EXCLUSIVE_THEN_SHARED_OR_SHARED", "$accept", "flowgraph", "nil",
  "description", "comment", "plugins", "mux_jack", "demux_jack",
  "branches", "int_list", "float_list", "connect_parameter", "connect",
  "mux_connect", "subgraph", "branch", "leftnode", "rightnode",
  "sharing_type", "parameter", "node_parameter", "config_parameter",
  "value", "state", "injack", "outjack", "nodename", "format_string",
  "format_parameter", "format_value", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    78,    79,    80,    81,    81,    82,    82,    83,    84,
      84,    85,    85,    86,    86,    86,    87,    87,    88,    88,
      89,    89,    89,    89,    90,    91,    92,    92,    92,    93,
      93,    93,    93,    93,    93,    94,    95,    96,    96,    96,
      96,    96,    96,    96,    97,    97,    98,    98,    98,    98,
      99,    99,    99,   100,   100,   100,   100,   100,   101,   101,
     101,   101,   101,   102,   102,   103,   103,   104,   105,   105,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   107
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     4,     0,     2,     1,     1,     1,     1,     3,
       3,     3,     3,     2,     4,     1,     1,     3,     1,     3,
       1,     6,     6,     6,     2,     1,     3,     3,     3,     3,
       3,     4,     3,     3,     3,     4,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     6,     6,     6,
       1,     7,     6,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     0,     1,     1,     1,     3,
       1,     3,     3,     3,     3,     3,     3,     3,     5,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       5,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       3,     3,     0,     5,     3,     4,     1,     6,     7,     3,
       8,     3,    64,     3,    15,     2,     3,     3,     0,     0,
       3,     0,     0,    15,    13,     0,    63,     3,    20,    63,
      67,    65,     0,     0,    25,     3,     3,    32,     0,    24,
       0,    33,    30,     0,     0,    34,    29,    66,     3,    11,
      12,    28,    27,    26,     0,    14,     0,     0,     0,     0,
       0,    65,    31,    44,    35,     3,    65,     0,     0,     0,
       9,    10,     3,     0,    50,    45,     3,     0,     0,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,     0,    70,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,     0,
      68,    36,     0,     0,     0,     0,    35,    22,    23,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     0,     0,    72,   151,    73,    74,    75,
      76,    77,     0,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,    71,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    69,    37,
      38,    39,    40,    41,    43,    42,     0,     0,     0,     0,
       3,    16,     0,    18,     0,    49,    48,    47,     0,    57,
      56,    55,    53,     0,    78,     0,    90,     0,    52,     0,
       3,    17,    19,    58,    59,    60,    61,    62,    51,    54
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short int yydefgoto[] =
{
      -1,     2,    14,     4,     9,    11,    41,    20,    15,   232,
     234,    25,    26,    35,    22,    16,    17,    42,   226,    64,
      65,    75,   243,   258,    18,    48,    31,   119,   120,   177
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -117
static const short int yypact[] =
{
     -59,   -59,    28,  -117,    29,  -117,  -117,  -117,  -117,  -117,
    -117,   -10,  -117,   -15,  -117,  -117,   -10,    61,    53,   -38,
    -117,    62,    73,     2,  -117,     4,   -32,   -10,  -117,   -32,
    -117,    91,    97,   104,  -117,    15,   -10,  -117,   109,  -117,
     -22,  -117,  -117,    53,    96,  -117,  -117,  -117,  -117,  -117,
    -117,  -117,  -117,  -117,    53,  -117,   111,   112,   113,   106,
     107,    91,  -117,    -1,  -117,    90,    91,   118,   119,    66,
    -117,  -117,  -117,   136,  -117,   156,  -117,   116,   117,   115,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   133,   134,   135,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,  -117,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   157,   158,   159,   160,    92,
    -117,  -117,   165,   166,   167,     1,   161,  -117,  -117,   174,
     173,   173,   176,   177,   -12,   173,   178,   173,   173,   173,
     173,   180,   181,   182,   183,    25,   184,   185,   186,   173,
     187,   173,   188,   189,   173,   173,   190,   191,   173,   193,
     194,   195,   196,   197,   198,   199,   200,   201,  -117,    66,
      36,   202,   203,   204,   205,  -117,  -117,  -117,  -117,  -117,
    -117,  -117,   206,  -117,  -117,  -117,  -117,  -117,  -117,  -117,
    -117,  -117,  -117,  -117,  -117,   208,  -117,  -117,  -117,  -117,
    -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,
    -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,  -117,
    -117,  -117,  -117,  -117,  -117,  -117,   207,   209,   210,   211,
     110,  -117,   -37,  -117,    -3,  -117,  -117,  -117,   212,  -117,
    -117,  -117,  -117,    93,  -117,   206,  -117,   208,  -117,    67,
     110,   169,   213,  -117,  -117,  -117,  -117,  -117,  -117,   214
};

/* YYPGOTO[NTERM-NUM].  */
static const short int yypgoto[] =
{
    -117,  -117,     0,   163,  -117,  -117,    38,  -117,    24,   -80,
     -81,  -117,   132,  -117,  -117,  -117,  -117,    39,  -117,   -18,
    -117,  -117,   -83,  -117,    21,     9,    10,  -117,    11,  -116
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -64
static const short int yytable[] =
{
       3,     3,    32,   -46,     8,   -20,   173,    38,    12,    10,
     244,     1,   245,    33,    40,   178,    23,    28,    59,   183,
      28,   185,   186,   187,   188,    12,   181,    13,     6,    60,
      12,    19,    13,   199,   182,   201,   -63,    21,   204,   205,
      24,   -63,   208,   -20,   246,    39,   247,    43,    63,   -46,
      43,    44,   174,    61,   121,    12,    54,    13,   126,    52,
      55,    40,   193,   194,    66,    74,   -63,    45,    46,     7,
      72,   195,    63,    51,    53,    76,    63,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    27,    30,    36,   105,   219,   220,   221,
     222,   223,   224,   225,    56,    57,    37,    58,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    47,   253,   254,   255,   256,   257,   168,   249,    62,
      73,   169,   250,   122,    49,   123,   124,   239,   240,    29,
     241,    50,    34,    70,    71,    67,    68,    69,    77,    78,
     125,   127,   128,   129,     5,   251,   252,   259,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     218,   142,   143,   144,     0,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   -36,   164,   165,   166,   167,   170,
     171,   172,   175,   176,   179,   180,   184,   189,   245,   190,
     191,   192,   196,   197,   198,   200,   202,   203,   206,   207,
     242,   209,   210,   211,   212,   213,   214,   215,   216,   217,
       0,   228,   227,     0,   231,   233,     0,     0,   229,   230,
     242,   238,   235,     0,   236,   237,     0,   248,     0,     0,
       0,     0,   247,   250
};

static const short int yycheck[] =
{
       0,     1,    40,     4,     4,     3,     5,     3,    40,     9,
      47,    70,    49,    51,    46,   131,    16,    17,    40,   135,
      20,   137,   138,   139,   140,    40,    38,    42,     0,    51,
      40,    46,    42,   149,    46,   151,    51,    13,   154,   155,
      16,    51,   158,    41,    47,    41,    49,    26,    48,    50,
      29,    27,    51,    43,    72,    40,    35,    42,    76,    35,
      36,    46,    37,    38,    54,    65,    51,    29,    29,    40,
      61,    46,    72,    35,    35,    66,    76,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    42,    51,    43,    40,    71,    72,    73,
      74,    75,    76,    77,     5,     6,    43,     8,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    40,    65,    66,    67,    68,    69,    45,    45,    43,
      50,    49,    49,     7,    47,     9,    10,    37,    38,    17,
      40,    47,    20,    47,    47,    44,    44,    44,    40,    40,
       4,    45,    45,    48,     1,   245,   247,   250,    48,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    48,    48,
     169,    48,    48,    48,    -1,    48,    48,    48,    48,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    48,    48,
      48,    48,    48,    48,    43,    48,    48,    48,    48,    44,
      44,    44,    38,    40,    38,    38,    38,    37,    49,    38,
      38,    38,    38,    38,    38,    38,    38,    38,    38,    38,
     230,    38,    38,    38,    38,    38,    38,    38,    38,    38,
      -1,    38,    40,    -1,    38,    37,    -1,    -1,    44,    44,
     250,    40,    45,    -1,    45,    45,    -1,    45,    -1,    -1,
      -1,    -1,    49,    49
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,    70,    79,    80,    81,    81,     0,    40,    80,    82,
      80,    83,    40,    42,    80,    86,    93,    94,   102,    46,
      85,    86,    92,    80,    86,    89,    90,    42,    80,    90,
      51,   104,    40,    51,    90,    91,    43,    43,     3,    41,
      46,    84,    95,   102,    86,    84,    95,    40,   103,    47,
      47,    84,    86,    95,   102,    86,     5,     6,     8,    40,
      51,   104,    43,    80,    97,    98,   104,    44,    44,    44,
      47,    47,   103,    50,    80,    99,   103,    40,    40,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    40,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,   105,
     106,    97,     7,     9,    10,     4,    97,    45,    45,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    48,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    48,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    48,    48,
      48,    48,    48,    48,    48,    48,    48,    48,    45,    49,
      44,    44,    44,     5,    51,    38,    40,   107,   107,    38,
      38,    38,    46,   107,    38,   107,   107,   107,   107,    37,
      38,    38,    38,    37,    38,    46,    38,    38,    38,   107,
      38,   107,    38,    38,   107,   107,    38,    38,   107,    38,
      38,    38,    38,    38,    38,    38,    38,    38,   106,    71,
      72,    73,    74,    75,    76,    77,    96,    40,    38,    44,
      44,    38,    87,    37,    88,    45,    45,    45,    40,    37,
      38,    40,    80,   100,    47,    49,    47,    49,    45,    45,
      49,    87,    88,    65,    66,    67,    68,    69,   101,   100
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)		\
   ((Current).first_line   = (Rhs)[1].first_line,	\
    (Current).first_column = (Rhs)[1].first_column,	\
    (Current).last_line    = (Rhs)[N].last_line,	\
    (Current).last_column  = (Rhs)[N].last_column)
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if defined (YYMAXDEPTH) && YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yytype, yyvaluep)
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;


  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 112 "GraphDescriptionParser.ypp"
    {

     nd_queue = queue<NodeDescription*>();
     start_branch_queue = queue<NodeDescription*>();
     end_branch_queue = queue< MuxConnection >();
     left_nd = NULL;
     left_intag ="";
     left_outtag = "";
     right_nd = NULL;
     right_intag = "";
     right_outtag = "";
     format = NULL;
     c_strategy_buffer = "";
     c_strategy_event  = "";
     n_strategy = "";
     __current_host = "";
     sharing_type = NodeDescription::EXCLUSIVE_OR_SHARED;
     __current_node_configuration = NodeConfiguration();
     __demuxer_format_stack = queue< DemuxConnection >();
  }
    break;

  case 4:
#line 140 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 6:
#line 147 "GraphDescriptionParser.ypp"
    {
   g->setComment(string(yyvsp[0]));
  }
    break;

  case 9:
#line 161 "GraphDescriptionParser.ypp"
    {
     string s(yyvsp[-1]);
     string s2 = s.substr(1, s.size() - 2);
     __set(yyval, s2);
  }
    break;

  case 10:
#line 168 "GraphDescriptionParser.ypp"
    {
     __set(yyval, string(yyvsp[-1]));
  }
    break;

  case 11:
#line 175 "GraphDescriptionParser.ypp"
    {
     string s(yyvsp[0]);
     string s2 = s.substr(1, s.size() - 2);
     __set(yyval, s2);
  }
    break;

  case 12:
#line 182 "GraphDescriptionParser.ypp"
    {
     __set(yyval, string(yyvsp[-1]));
  }
    break;

  case 13:
#line 189 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 14:
#line 193 "GraphDescriptionParser.ypp"
    {
    if (!start_branch_queue.empty()) {
      while(!end_branch_queue.empty()) {
        /* Connect the stored MuxConnection to the MuxNode */
        GLOBAL_DEBUG_STREAM( "connect " << end_branch_queue.front().out_tag << " with " << end_branch_queue.front().mux_in_tag  << endl);
        g->addEdge(*end_branch_queue.front().nd, end_branch_queue.front().out_tag, *start_branch_queue.front(), end_branch_queue.front().mux_in_tag, end_branch_queue.front().format, end_branch_queue.front().c_strategy_buffer, end_branch_queue.front().c_strategy_event);
        end_branch_queue.pop();
      }
    } else {
      
      GLOBAL_DEBUG_STREAM( "start_branch_queue is empty after a subgraph. " << endl);
    }
    start_branch_queue.pop(); //remove the muxer from the queue
  }
    break;

  case 16:
#line 212 "GraphDescriptionParser.ypp"
    {
   i_list.push_back(atoi(yyvsp[0]));
  }
    break;

  case 17:
#line 216 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 18:
#line 221 "GraphDescriptionParser.ypp"
    {
   f_list.push_back(atof(yyvsp[0]));
  }
    break;

  case 19:
#line 225 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 21:
#line 233 "GraphDescriptionParser.ypp"
    {

  }
    break;

  case 22:
#line 238 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[-1]);
    c_strategy_event  = s.substr(1, s.size() - 2);
  }
    break;

  case 23:
#line 244 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[-1]);
    c_strategy_buffer = s.substr(1, s.size() - 2);
  }
    break;

  case 24:
#line 252 "GraphDescriptionParser.ypp"
    {

  }
    break;

  case 25:
#line 258 "GraphDescriptionParser.ypp"
    {
    __demuxer_format_stack.push(DemuxConnection(left_nd, format, c_strategy_buffer, c_strategy_event));
    format = 0;
    c_strategy_buffer = "";
    c_strategy_event = "";
  }
    break;

  case 26:
#line 270 "GraphDescriptionParser.ypp"
    {
    if (!__demuxer_format_stack.empty() && (__demuxer_format_stack.front().nd == nd_queue.front()) ) {
      g->addEdge(*nd_queue.front(), string(yyvsp[-2]) , *right_nd, right_intag , __demuxer_format_stack.front().format, __demuxer_format_stack.front().c_strategy_buffer, __demuxer_format_stack.front().c_strategy_event);
      delete __demuxer_format_stack.front().format;
      __demuxer_format_stack.pop();
    } else {
      /* If the nd_queue is empty, we parse a graph with a sink after a demux*/
      /* In this case the left_node was not inserted in the nd_queue and thus is inserted here */   
      if ( nd_queue.empty() ) {
        nd_queue.push(left_nd);
      }
      g->addEdge(*nd_queue.front(), string(yyvsp[-2]) , *right_nd, right_intag , 0, c_strategy_buffer, c_strategy_event);
      c_strategy_buffer = "";
      c_strategy_event  = "";
    }

    delete format;
    format = 0;
  }
    break;

  case 27:
#line 291 "GraphDescriptionParser.ypp"
    {

    /* Begin> Check if a format was set*/
    if (!__demuxer_format_stack.empty() && ( __demuxer_format_stack.front().nd == nd_queue.front()) ) {
      g->addEdge(*nd_queue.front(), string (yyvsp[-2]) , *start_branch_queue.front(), __demuxer_format_stack.front().format, __demuxer_format_stack.front().c_strategy_buffer, __demuxer_format_stack.front().c_strategy_event);
      delete __demuxer_format_stack.front().format;

      __demuxer_format_stack.pop();
    } else {
      g->addEdge(*nd_queue.front(), string (yyvsp[-2]) , *start_branch_queue.front(), 0, c_strategy_buffer, c_strategy_event);
      c_strategy_buffer = "";
      c_strategy_event  = "";
    }

    start_branch_queue.pop();
    left_nd = nd_queue.front();
    delete format;
    format = 0;
  }
    break;

  case 28:
#line 312 "GraphDescriptionParser.ypp"
    {
    NodeDescription* tmp_nd =0;
    if (nd_queue.empty())
      tmp_nd = left_nd->copy();
    else
      tmp_nd = nd_queue.front()->copy();
    
    if (format) {
      end_branch_queue.push(MuxConnection(tmp_nd, (yyvsp[-2]), (yyvsp[0]), new Format(*format)));
      delete format;
      format = 0;
    }
    else
      end_branch_queue.push(MuxConnection(tmp_nd, (yyvsp[-2]), (yyvsp[0])));
  }
    break;

  case 29:
#line 331 "GraphDescriptionParser.ypp"
    {
    g->addEdge(*left_nd, left_outtag, *right_nd, right_intag, format, c_strategy_buffer, c_strategy_event);
    left_nd = right_nd;
    left_outtag = right_outtag;
    left_intag  = left_intag;

    /* Begin> reset the global variables */
    delete format;
    format = 0;
    c_strategy_buffer = "";
    c_strategy_event = "";
    /* End< */
  }
    break;

  case 30:
#line 346 "GraphDescriptionParser.ypp"
    {
    g->addEdge(*left_nd, left_outtag, *right_nd, right_intag, format, c_strategy_buffer, c_strategy_event);
    left_nd = right_nd;
    left_outtag = right_outtag;
    left_intag  = left_intag;

    /* Begin> reset the global variables */
    delete format;
    format = 0;
    c_strategy_buffer = "";
    c_strategy_event = "";
    /* End< */
  }
    break;

  case 31:
#line 361 "GraphDescriptionParser.ypp"
    {
    if (!nd_queue.empty()){
      nd_queue.pop();
    }else{
      GLOBAL_WARNING_STREAM(" NodeDescription-Queue is empty" << endl);
    }
  }
    break;

  case 32:
#line 370 "GraphDescriptionParser.ypp"
    {
    GLOBAL_DEBUG_STREAM( "close Subgraph" << endl);
  }
    break;

  case 33:
#line 375 "GraphDescriptionParser.ypp"
    {
    if (format) {
      end_branch_queue.push(MuxConnection(left_nd, left_outtag, (yyvsp[0]), new Format(*format)));
      delete format;
      format = 0;
    }
    else
      end_branch_queue.push(MuxConnection(left_nd, left_outtag, (yyvsp[0])));
  }
    break;

  case 34:
#line 386 "GraphDescriptionParser.ypp"
    {
    if (format) {
      end_branch_queue.push(MuxConnection(left_nd, left_outtag, (yyvsp[0]), new Format(*format)));
      delete format;
      format = 0;
    }
    else
      end_branch_queue.push(MuxConnection(left_nd, left_outtag, (yyvsp[0])));
  }
    break;

  case 35:
#line 399 "GraphDescriptionParser.ypp"
    {
    left_intag = string(yyvsp[-3]);      // store the new left_intag
    /* If the left_nd was not reset to 0, the left_nd is a Demux which connects to a subgraph
     * and must be stored in queue.
     */                                                   
    if (left_nd) {
      nd_queue.push(left_nd);
 
      left_nd = new NodeDescription(string(yyvsp[-2]));
      left_outtag = string(yyvsp[-1]);
      start_branch_queue.push(left_nd);
    } else {
      left_nd = new NodeDescription(string(yyvsp[-2]));
      left_outtag = string(yyvsp[-1]);
    }
    left_nd->setTransportStrategy( n_strategy );

    /* store the current node configuration in the current NodeConfiguration object*/
    __current_node_configuration.setNodeDescription(left_nd);
    /* add the current NodeConfiguration object to the list*/
    node_configuration.push_back(__current_node_configuration);
    /* clear the current settings, so that the object can be reused */
    __current_node_configuration.clear();

    n_strategy = "";

    /* Begin> Set the location if available*/
    if (!__current_host.empty()) {
      left_nd->setLocation(__current_host);
      left_nd->setPort(__current_port);
      __current_host = string();
      __current_port = ClientRegistry::default_port;
    }
    /* End< */

    /* Set the sharing Type*/
    left_nd->setSharingType(sharing_type);

    /* reset the sharing type */
    sharing_type = NodeDescription::EXCLUSIVE_OR_SHARED;

    GLOBAL_DEBUG_STREAM("left_nd = new NodeDescription(\"" << string(yyvsp[-2]) << "\");" << endl);
  }
    break;

  case 36:
#line 446 "GraphDescriptionParser.ypp"
    { 
    right_intag = string(yyvsp[-3]);
    right_nd = new NodeDescription(string(yyvsp[-2]));
    right_outtag = string(yyvsp[-1]);
    right_nd->setTransportStrategy(n_strategy);
    /* store the current node configuration in the current NodeConfiguration object*/
    __current_node_configuration.setNodeDescription(right_nd);
    /* add the current NodeConfiguration object to the list*/
    node_configuration.push_back(__current_node_configuration);
    /* clear the current settings, so that the object can be reused */
    __current_node_configuration.clear();
    n_strategy = "";


    /* Begin> Set the location if available*/
    if (!__current_host.empty()) {
      right_nd->setLocation(__current_host);
      right_nd->setPort(__current_port);
      __current_host = string();
      __current_port = ClientRegistry::default_port;
    }
    /* End< */

    /* Set the sharing Type*/
    right_nd->setSharingType(sharing_type);

    /* reset the sharing type */
    sharing_type = NodeDescription::EXCLUSIVE_OR_SHARED;

    GLOBAL_DEBUG_STREAM("right_nd = new NodeDescription(\"" << string(yyvsp[-2]) << "\");" << endl);
  }
    break;

  case 37:
#line 479 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::SHARED;
  }
    break;

  case 38:
#line 483 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::EXCLUSIVE;
  }
    break;

  case 39:
#line 487 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::SHARED_OR_EXCLUSIVE;
  }
    break;

  case 40:
#line 491 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::EXCLUSIVE_OR_SHARED;
  }
    break;

  case 41:
#line 495 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::EXCLUSIVE_THEN_SHARED;
  }
    break;

  case 42:
#line 499 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::EXCLUSIVE_THEN_SHARED_OR_SHARED;
  }
    break;

  case 43:
#line 503 "GraphDescriptionParser.ypp"
    {
    sharing_type = NodeDescription::SHARED_OR_EXCLUSIVE_THEN_SHARED;
  }
    break;

  case 45:
#line 512 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 47:
#line 520 "GraphDescriptionParser.ypp"
    {  
    __current_port = atoi(yyvsp[-1]);
  }
    break;

  case 48:
#line 525 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[-1]);
    string tmp_host = s.substr(1, s.size()-2);
    __current_host = tmp_host;
  }
    break;

  case 49:
#line 531 "GraphDescriptionParser.ypp"
    {

  }
    break;

  case 51:
#line 540 "GraphDescriptionParser.ypp"
    {
    if (! __current_nc_element )
      __current_nc_element = new NCElement();

    __current_nc_element->event_key = string(yyvsp[-4]);
    __current_node_configuration.addNCElement( *__current_nc_element );

    /* cleanup */
    delete __current_nc_element;
    __current_nc_element = 0;
  }
    break;

  case 52:
#line 552 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[-1]);
    n_strategy = s.substr(1, s.size()-2);
  }
    break;

  case 54:
#line 562 "GraphDescriptionParser.ypp"
    {
      
  }
    break;

  case 55:
#line 567 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();

    string s(yyvsp[0]);
    string tmp_string = s.substr(1, s.size() - 2);   
    __current_nc_element->argument_list.push_back(tmp_string);
  }
    break;

  case 56:
#line 577 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
    
    __current_nc_element->argument_list.push_back(string(yyvsp[0]));
  }
    break;

  case 57:
#line 585 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
      
    __current_nc_element->argument_list.push_back(string(yyvsp[0]));
  }
    break;

  case 58:
#line 597 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();

    __current_nc_element->state = INode::CONSTRUCTED;
  }
    break;

  case 59:
#line 605 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
    __current_nc_element->state = INode::INITIALIZED;
  }
    break;

  case 60:
#line 612 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
    __current_nc_element->state = INode::OUTPUT_INITIALIZED;
  }
    break;

  case 61:
#line 619 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
    __current_nc_element->state = INode::ACTIVATED;
  }
    break;

  case 62:
#line 626 "GraphDescriptionParser.ypp"
    {
    if (!__current_nc_element)
      __current_nc_element = new NCElement();
    __current_nc_element->state = INode::STARTED;
  }
    break;

  case 63:
#line 634 "GraphDescriptionParser.ypp"
    {
    __set(yyval, "default");
  }
    break;

  case 64:
#line 639 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[0]);
    string s2 = s.substr(1, s.size() - 2);
    __set(yyval, s2);
  }
    break;

  case 65:
#line 647 "GraphDescriptionParser.ypp"
    {
    __set(yyval, "default");
  }
    break;

  case 66:
#line 652 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[0]);
    string s2 = s.substr(1, s.size() - 2);
    __set(yyval, s2);
  }
    break;

  case 67:
#line 661 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 68:
#line 666 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 69:
#line 669 "GraphDescriptionParser.ypp"
    {
  }
    break;

  case 70:
#line 673 "GraphDescriptionParser.ypp"
    {
    string s(yyvsp[0]);
    string s2 = s.substr(1, s.size() - 2);
    if (!format) {
      format = new Format();
    }
    format->setFormatType( s2 );
  }
    break;

  case 71:
#line 682 "GraphDescriptionParser.ypp"
    {
    if (!format) {
      format = new Format();
    }
    format->setFormatType(  (yyvsp[0]) );
  }
    break;

  case 72:
#line 689 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::audio_codec_param, atoi(yyvsp[0]) );
  }
    break;

  case 73:
#line 695 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::audio_format_param, (yyvsp[0]) );
  }
    break;

  case 74:
#line 701 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::audio_format_string_param, (yyvsp[0]) );
  }
    break;

  case 75:
#line 707 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::bitperpixel_param , atoi(yyvsp[0]) );
  }
    break;

  case 76:
#line 713 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::bitpersample_param, atoi(yyvsp[0]) );
  }
    break;

  case 77:
#line 719 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::bitrate_param, atoi(yyvsp[0]) );
  }
    break;

  case 78:
#line 725 "GraphDescriptionParser.ypp"
    {
    if (!format)
        format = new Format();
    for (list<int>::iterator iter=i_list.begin();iter!=i_list.end(); iter++) {
      format->addIntParamValue( Format::bitrate_param, (*iter));
    }
  }
    break;

  case 79:
#line 733 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::channelorder_param, (yyvsp[0]) );
  }
    break;

  case 80:
#line 739 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::channels_param, atoi(yyvsp[0]) );
  }
    break;

  case 81:
#line 745 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::colorspace_param, (yyvsp[0]) );
  }
    break;

  case 82:
#line 751 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::compressor_param, (yyvsp[0]) );
  }
    break;

  case 83:
#line 757 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::encoding_param, (yyvsp[0]) );
  }
    break;

  case 84:
#line 763 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::endian_param, (yyvsp[0]) );
  }
    break;

  case 85:
#line 769 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addFloatParamValue( Format::framerate_param, atof(yyvsp[0]) );
  }
    break;

  case 86:
#line 775 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::layer_param, atoi(yyvsp[0]) );
  }
    break;

  case 87:
#line 781 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::num_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 88:
#line 787 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::num_video_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 89:
#line 793 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addFloatParamValue( Format::quality_param, atof(yyvsp[0]) );
  }
    break;

  case 90:
#line 799 "GraphDescriptionParser.ypp"
    {
    if (!format)
        format = new Format();
    for (list<float>::iterator iter=f_list.begin();iter!=f_list.end(); iter++) {
      format->addFloatParamValue( Format::quality_param, (*iter));
    }
  }
    break;

  case 91:
#line 807 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::quality_param, atoi(yyvsp[0]) );
  }
    break;

  case 92:
#line 813 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::ratio_x_param, atoi(yyvsp[0]) );
  }
    break;

  case 93:
#line 819 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::ratio_y_param, atoi(yyvsp[0]) );
  }
    break;

  case 94:
#line 825 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::sample_rate_param, atoi(yyvsp[0]) );
  }
    break;

  case 95:
#line 831 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::sign_param, (yyvsp[0]) );
  }
    break;

  case 96:
#line 837 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::version_param, atoi(yyvsp[0]) );
  }
    break;

  case 97:
#line 843 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::video_format_param, (yyvsp[0]) );
  }
    break;

  case 98:
#line 849 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::x_resolution_param, atoi(yyvsp[0]) );
  }
    break;

  case 99:
#line 855 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::y_resolution_param, atoi(yyvsp[0]) );
  }
    break;

  case 100:
#line 861 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addStringParamValue( Format::format_param, (yyvsp[0]) );
  }
    break;

  case 101:
#line 867 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_ac3_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 102:
#line 873 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_mpeg_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 103:
#line 879 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_dts_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 104:
#line 885 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_lpcm_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 105:
#line 891 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_mpeg_video_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 106:
#line 897 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::format_spu_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 107:
#line 903 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_ac3_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 108:
#line 909 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_mpeg_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 109:
#line 915 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_dts_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 110:
#line 921 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_lpcm_audio_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 111:
#line 927 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_mpeg_video_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 112:
#line 933 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addIntParamValue( Format::map_spu_streams_param, atoi(yyvsp[0]) );
  }
    break;

  case 113:
#line 939 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::audio_codec_param);
  }
    break;

  case 114:
#line 945 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::audio_format_param );
  }
    break;

  case 115:
#line 951 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::audio_format_string_param );
  }
    break;

  case 116:
#line 957 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::bitperpixel_param );
  }
    break;

  case 117:
#line 963 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::bitpersample_param);
  }
    break;

  case 118:
#line 969 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::bitrate_param);
  }
    break;

  case 119:
#line 975 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::channelorder_param );
  }
    break;

  case 120:
#line 981 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::channels_param);
  }
    break;

  case 121:
#line 987 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::colorspace_param );
  }
    break;

  case 122:
#line 993 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::compressor_param );
  }
    break;

  case 123:
#line 999 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::encoding_param );
  }
    break;

  case 124:
#line 1005 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::endian_param );
  }
    break;

  case 125:
#line 1011 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::framerate_param);
  }
    break;

  case 126:
#line 1017 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::layer_param);
  }
    break;

  case 127:
#line 1023 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::num_audio_streams_param );
  }
    break;

  case 128:
#line 1029 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::num_video_streams_param);
  }
    break;

  case 129:
#line 1035 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::quality_param );
  }
    break;

  case 130:
#line 1041 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::ratio_x_param);
  }
    break;

  case 131:
#line 1047 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::ratio_y_param);
  }
    break;

  case 132:
#line 1053 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::sample_rate_param);
  }
    break;

  case 133:
#line 1059 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::sign_param );
  }
    break;

  case 134:
#line 1065 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::version_param );
  }
    break;

  case 135:
#line 1071 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::video_format_param );
  }
    break;

  case 136:
#line 1077 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::x_resolution_param);
  }
    break;

  case 137:
#line 1083 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::y_resolution_param);
  }
    break;

  case 138:
#line 1089 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_param);
  }
    break;

  case 139:
#line 1095 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_ac3_audio_streams_param);
  }
    break;

  case 140:
#line 1101 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_mpeg_audio_streams_param);
  }
    break;

  case 141:
#line 1107 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_dts_audio_streams_param);
  }
    break;

  case 142:
#line 1113 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_lpcm_audio_streams_param);
  }
    break;

  case 143:
#line 1119 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_mpeg_video_streams_param);
  }
    break;

  case 144:
#line 1125 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::format_spu_streams_param);
  }
    break;

  case 145:
#line 1131 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_ac3_audio_streams_param);
  }
    break;

  case 146:
#line 1137 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_mpeg_audio_streams_param);
  }
    break;

  case 147:
#line 1143 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_dts_audio_streams_param);
  }
    break;

  case 148:
#line 1149 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_lpcm_audio_streams_param);
  }
    break;

  case 149:
#line 1155 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_mpeg_video_streams_param);
  }
    break;

  case 150:
#line 1161 "GraphDescriptionParser.ypp"
    {
    if (!format)
      format = new Format();
    format->addWildcard( Format::map_spu_streams_param);
  }
    break;

  case 151:
#line 1170 "GraphDescriptionParser.ypp"
    {
  string s(yyvsp[0]);
  string s2 = s.substr(1, s.size() - 2);
  __set(yyval, s2);
}
    break;


    }

/* Line 1010 of yacc.c.  */
#line 2836 "y.tab.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {
		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
		 yydestruct (yystos[*yyssp], yyvsp);
	       }
        }
      else
	{
	  YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
	  yydestruct (yytoken, &yylval);
	  yychar = YYEMPTY;

	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

  yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;


  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}



